curl --request GET \
--url https://api.example.com/api/v1/customer/orders/{orderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/customer/orders/{orderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/customer/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"checkoutId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"customerId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"customer": {
"customerId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"document": null,
"documentType": null,
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"user": {
"name": "Maria Silva",
"phoneDdi": "55",
"phoneIso": "BR",
"phoneNumber": "99999999999",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"email": "maria@example.com"
}
},
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
},
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
}
},
"soldById": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
"soldBy": {
"name": "Maria Silva",
"phoneDdi": "55",
"phoneIso": "BR",
"phoneNumber": "99999999999",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"email": "maria@example.com"
},
"externalProvider": "mock",
"externalProviderId": "or_a1b2c3d4",
"type": "ONLINE",
"code": "ORD-20260412-A1B2",
"baseAmount": 15000,
"discountAmount": 0,
"creditAmount": 0,
"paidAmount": 15000,
"amount": 15000,
"status": "PENDING",
"tickets": [
{
"ticketId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"orderId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
}
},
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"transportOperator": {
"document": "12345678000190",
"documentType": "CNPJ",
"legalName": "Joao Silva Transportes Ltda",
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tradeName": "Silva Transportes"
},
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"tripItineraryId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
"seatId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"seatTypeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3f",
"passengerId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f40",
"seatPrice": 5000,
"tripItineraryPrice": 3000,
"baseAmount": 8000,
"benefitDiscountAmount": 0,
"discountAmount": 0,
"creditAmount": 0,
"paidAmount": 8000,
"price": 8000,
"qrCode": "TKT-20260412-A1B2C3",
"code": "BIL-A1B2C3",
"snapshot": {
"trip": {
"departureAt": "2026-04-15T10:00:00.000Z",
"estimatedArrivalAt": "2026-04-15T18:00:00.000Z"
},
"itinerary": {
"fromStop": {
"name": "Terminal Tietê",
"stopOrder": 1,
"arrivalAt": "2026-04-15T10:00:00.000Z",
"departureAt": "2026-04-15T10:15:00.000Z"
},
"toStop": {
"name": "Terminal Tietê",
"stopOrder": 1,
"arrivalAt": "2026-04-15T10:00:00.000Z",
"departureAt": "2026-04-15T10:15:00.000Z"
}
},
"seat": {
"label": "5A",
"floor": "FIRST",
"row": 5,
"column": "A",
"side": "LEFT"
},
"seatType": {
"name": "Convencional",
"color": "#3b82f6"
},
"passenger": {
"name": "Maria Silva",
"document": "36641876870",
"documentType": "CPF",
"birthDate": "1990-01-01"
}
},
"status": "VALID",
"trip": {
"status": "SCHEDULED",
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"departureAt": "2026-01-01T00:00:00.000Z",
"estimatedArrivalAt": "2026-01-01T00:00:00.000Z"
},
"boardedAt": "2026-01-01T00:00:00.000Z",
"issuedAt": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"passengerBenefitRequestId": null,
"benefitDocumentValidationId": null,
"createdBy": null,
"updatedBy": null
}
],
"payment": {
"paymentId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"orderId": null,
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
},
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
}
},
"externalProvider": "mock",
"externalProviderId": "pay_a1b2c3d4",
"externalOrderId": "order_a1b2c3d4",
"method": "PIX",
"channel": "ONLINE",
"amount": 15000,
"status": "PENDING",
"issuedAt": "2026-01-01T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"cashSettlementId": null,
"description": "Order payment",
"card": {},
"pix": {},
"canceledBy": null,
"createdBy": null,
"updatedBy": null,
"dueDate": "2026-01-15T00:00:00.000Z",
"paidAt": "2026-01-01T00:00:00.000Z",
"overdueAt": "2026-01-20T00:00:00.000Z",
"canceledAt": "2026-01-10T00:00:00.000Z"
},
"reviews": [
{
"tripReviewId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"orderId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"customerId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"customer": {
"customerId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"document": null,
"documentType": null,
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"user": {
"name": "Maria Silva",
"phoneDdi": "55",
"phoneIso": "BR",
"phoneNumber": "99999999999",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"email": "maria@example.com"
}
},
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
}
},
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"transportOperator": {
"document": "12345678000190",
"documentType": "CNPJ",
"legalName": "Joao Silva Transportes Ltda",
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tradeName": "Silva Transportes"
},
"driverId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
"driver": {
"driverId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"user": {
"name": "Maria Silva",
"phoneDdi": "55",
"phoneIso": "BR",
"phoneNumber": "99999999999",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"email": "maria@example.com"
}
},
"overallRating": 5,
"driverRating": 5,
"transportOperatorRating": 4,
"moderationStatus": "VISIBLE",
"trip": {
"status": "SCHEDULED",
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"departureAt": "2026-01-01T00:00:00.000Z",
"estimatedArrivalAt": "2026-01-01T00:00:00.000Z"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"driverComment": "Motorista atencioso e pontual",
"transportOperatorComment": "Viagem confortável",
"vehicleRating": 4,
"overallComment": "Experiência geral muito boa",
"cooperativeResponseMessage": "Obrigado pelo feedback",
"respondedByCooperativeId": null,
"respondedByCooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"email": "contato@estrela.com",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"tradeName": "Metropolitana"
}
},
"respondedByUserId": null,
"respondedByUser": {
"name": "Maria Silva",
"phoneDdi": "55",
"phoneIso": "BR",
"phoneNumber": "99999999999",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"email": "maria@example.com"
},
"moderationReason": null,
"moderatedByUserId": null,
"moderatedByUser": {
"name": "Maria Silva",
"phoneDdi": "55",
"phoneIso": "BR",
"phoneNumber": "99999999999",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"email": "maria@example.com"
},
"createdBy": null,
"updatedBy": null,
"respondedAt": null,
"moderatedAt": null
}
],
"reviewPrompt": {
"canReview": true,
"includeDriver": true,
"includeTransportOperator": true,
"includeVehicle": true
},
"tripReviewPrompts": [
{
"canReview": true,
"includeDriver": true,
"includeTransportOperator": true,
"includeVehicle": true,
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"orderId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"tripReviewId": null
}
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": null,
"updatedBy": null
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Internal Server Error",
"statusCode": 500
}Get Order
Returns an order.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Order identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Response
OK
Order detail
Order identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Checkout identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Customer identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c"
Customer identity
Show child attributes
Show child attributes
Organization identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c"
Organization identity
Show child attributes
Show child attributes
Cooperative identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c"
Cooperative identity
Show child attributes
Show child attributes
Seller user identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d"
User identity
Show child attributes
Show child attributes
External provider name
"mock"
External provider order identifier
"or_a1b2c3d4"
Order type
ONLINE, POS, DRIVER_APP "ONLINE"
Readable order code
"ORD-20260412-A1B2"
Base amount in cents
15000
Discount amount in cents
0
Credit amount in cents
0
Paid amount in cents
15000
Commercial amount in cents
15000
Order status
PENDING, PAID, PAYMENT_FAILED, CANCELED "PENDING"
Order tickets
Show child attributes
Show child attributes
Order payment
Show child attributes
Show child attributes
Trip reviews
Show child attributes
Show child attributes
Review prompt
Show child attributes
Show child attributes
Trip review prompts by trip
Show child attributes
Show child attributes
Created at
"2026-01-01T00:00:00.000Z"
Updated at
"2026-01-01T00:00:00.000Z"
Created by
null
Updated by
null